
public class Class293 {

   public static final int anInt3439 = 27;
   public static final int anInt3440 = 22;
   public static final int anInt3441 = 17;
   public static final int anInt3442 = 25;
   public static final int anInt3443 = 15;
   public static final int anInt3444 = 28;
   public static final int anInt3445 = 23;
   public static final int anInt3446 = 21;
   public static final int anInt3447 = 24;
   public static final int anInt3448 = 19;
   public static final int anInt3449 = 7;
   public static final int anInt3450 = 8;
   public static final int anInt3451 = 26;
   public static final int anInt3452 = 14;
   public static final int anInt3453 = 20;
   public static final int anInt3454 = 6;
   public static final int anInt3455 = 5;
   public static final int anInt3456 = 1;
   public static final int anInt3457 = 13;
   public static final int anInt3458 = 9;
   public static final int anInt3459 = 29;
   public static final int anInt3460 = 2;
   public static final int anInt3461 = 11;
   public static final int anInt3462 = 4;
   public static final int anInt3463 = 10;
   public static final int anInt3464 = 3;


   Class293() throws Throwable {
      throw new Error();
   }

   static void method5311(String var0, boolean var1, int var2, int var3, String var4, boolean var5, byte var6) {
      var0 = var0.toLowerCase();
      short[] var7 = new short[16];
      int var8 = -1;
      String var9 = null;
      if(-1 != var2) {
         Class401 var10 = Class30.aClass389_367.method6674(var2, -1737472087);
         if(null == var10 || var10.method6815(-738670660) != var5) {
            return;
         }

         if(var10.method6815(342519658)) {
            var9 = var10.aString4913;
         } else {
            var8 = 1326753823 * var10.anInt4914;
         }
      }

      int var15 = 0;

      for(int var11 = 0; var11 < 1219690871 * Class277.aClass410_3220.anInt5015; ++var11) {
         ItemDefinition var12 = Class277.aClass410_3220.method7007(var11, -1957162130);
         if((!var1 || var12.aBool4991) && -1 == var12.anInt4982 * -1823943423 && var12.anInt4955 * -1761800209 == -1 && -1 == var12.anInt4997 * 1626089223 && 0 == var12.anInt4992 * 241590541 && var12.aString4938.toLowerCase().indexOf(var0) != -1) {
            if(-1 != var2) {
               if(var5) {
                  if(!var4.equals(var12.method6902(var2, var9, -1935311003))) {
                     continue;
                  }
               } else if(var3 != var12.method6901(var2, var8, -1091877830)) {
                  continue;
               }
            }

            if(var15 >= 250) {
               Class504.anInt5976 = -186945221;
               Class515_Sub1_Sub2_Sub2.aShortArray10839 = null;
               return;
            }

            if(var15 >= var7.length) {
               short[] var13 = new short[var7.length * 2];

               for(int var14 = 0; var14 < var15; ++var14) {
                  var13[var14] = var7[var14];
               }

               var7 = var13;
            }

            var7[var15++] = (short)var11;
         }
      }

      Class515_Sub1_Sub2_Sub2.aShortArray10839 = var7;
      Class118_Sub7.anInt8246 = 0;
      Class504.anInt5976 = var15 * 186945221;
      String[] var17 = new String[-186793971 * Class504.anInt5976];

      for(int var16 = 0; var16 < -186793971 * Class504.anInt5976; ++var16) {
         var17[var16] = Class277.aClass410_3220.method7007(var7[var16], -1957162130).aString4938;
      }

      Class121.method2346(var17, Class515_Sub1_Sub2_Sub2.aShortArray10839, -377644178);
   }

   static void method5312(int var0, int var1, int var2, int var3, int var4, int var5, int var6, Class225_Sub14_Sub10 var7, Class8 var8, Class405 var9, int var10, int var11, int var12) {
      if(var0 > var2 && var0 < var4 + var2 && var1 > var6 - var9.anInt4922 * 835794751 - 1 && var1 < var6 + var9.anInt4926 * -1710708437) {
         var10 = var11;
      }

      String var13 = Class204.method3463(var7, 2079140834);
      var8.method640(var13, var2 + 3, var6, var10, 0, client.aRandom7745, 1677045061 * Class473.anInt5797, OutputStream_Sub1.aClass171Array7958, Class84.anIntArray856, 263937478);
   }

   static boolean method5313(Class567 var0, int var1) {
      return var0 == null?false:(!var0.aBool7524?false:(!var0.method12027(Class215_Sub1.anInterface13_2522, Class215_Sub1.anInterface12_2521, 837571763)?false:(Class215_Sub1.aClass423_8333.method7211((long)(24782761 * var0.anInt7542)) != null?false:Class215_Sub1.aClass423_8340.method7211((long)(-2118985305 * var0.anInt7552)) == null)));
   }
}
